import { EntityId } from '..';
import { IInstrumentFilter, ISearchModalProps } from '../types';
declare const _default: (options?: ISearchModalProps) => {
    instrumentsMaxCount: import("vue").Ref<number>;
    recentlyViewedMaxCount: import("vue").Ref<number>;
    query: import("vue").Ref<string>;
    modalLabels: import("vue").Ref<{
        title: string;
        inputPlaceholder: string;
        recentlyViewedLabel: string;
        recentlyViewedEmptyStateLabel: string;
        emptyStateLabel: string;
        loadingLabel: string;
        initialStateLabel: string;
        errorStateLabel: string;
        instrumentHeaderLabel: string;
        instrumentPriceChangeLabel: string;
        viewAllButtonLabel?: string | undefined;
        filterLabels?: {
            currencies: string;
            commodities: string;
            indices: string;
            stocks: string;
            bonds: string;
            cryptocurrencies: string;
            etf: string;
            classic_stocks: string;
            classic_etf: string;
        } | undefined;
    }>;
    instruments: import("vue").Ref<{
        description: string;
        account_type: string;
        relation_type: string;
        type_id: number;
        subtype_id: number;
        price_change: number;
        lld: string;
        lll: string;
        lsd: string;
        lsl: string;
        aliases: string[];
        name_aliases: {
            company_id: number;
            instrument_name: number;
            trade_type_id: number;
        }[];
        company_ids: number[];
        exchange: string;
        country: string;
        consensus: string;
        sector: string;
        currency: string;
        market_capitalization: unknown;
        sentiment_rank: unknown;
        sector_size: unknown;
        id: number;
        name: string;
    }[]>;
    currentEntityId: import("vue").Ref<EntityId | undefined>;
    isViewAllVisible: import("vue").ComputedRef<boolean | undefined>;
    isLoading: import("vue").Ref<boolean>;
    hasError: import("vue").Ref<boolean>;
    hasInitialError: import("vue").Ref<boolean>;
    instrumentFilters: import("vue").Ref<{
        id: number;
        label: string;
        filter: {
            relation_type?: string | undefined;
            type_id?: number | undefined;
            subtype_id?: number | undefined;
            trade_companies?: {
                company_id: number;
                trade_type_id: number;
            }[] | undefined;
        };
    }[]>;
    activeFilter: import("vue").Ref<{
        id: number;
        label: string;
        filter: {
            relation_type?: string | undefined;
            type_id?: number | undefined;
            subtype_id?: number | undefined;
            trade_companies?: {
                company_id: number;
                trade_type_id: number;
            }[] | undefined;
        };
    } | null>;
    init: () => Promise<void>;
    clearData: () => void;
    concatPrefix: (id: string | number) => string;
    getSearchRequest: () => Promise<void>;
    setSelectedFilter: (filter: IInstrumentFilter) => Promise<void>;
};
export default _default;
